# SPDX-License-Identifier: GPL-2.0-only
resource "kubernetes_secret_v1" "app_secrets" {
  metadata {
    name  = "${var.app_name}-secrets"
    annotations = var.secret_annotations
    labels = merge({
      "app.kubernetes.io/component"  = "server"
      "app.kubernetes.io/name"       = var.app_name
      "app.kubernetes.io/version"    = var.app_version
      "app.kubernetes.io/part-of"    = var.app_name
      "app.kubernetes.io/managed-by" = "opentofu"
      "app.kubernetes.io/instance"   = var.app_name
    }, var.secret_additional_labels)
  }
  data = var.app_configuration
}
